<template>
  <div>
    <form @submit.prevent>
      <v-card-text>
        <v-text-field
          label="E-mail"
          prepend-icon="mdi-email"
          type="text"
          v-model="account.email"
          color="indigo accent-3"
        ></v-text-field>
        <v-text-field
          label="Password"
          prepend-icon="mdi-key"
          type="password"
          v-model="account.password"
          color="indigo accent-3"
        ></v-text-field>
      </v-card-text>
    </form>
    <h3 class="text-center" style="cursor:pointer" @click="forgetPassword">
      คุณลืมรหัสผ่านของคุณใช่หรือไม่ ?
    </h3>
    <div class="text-center mt-3 mb-5">
      <v-btn rounded color="indigo accent-3" dark @click="login"
        >เข้าสู่ระบบ</v-btn
      >
    </div>
  </div>
</template>

<script>
import { setTimeout } from 'timers'
import { auth } from '@/services/firebase'
import Swal from 'sweetalert2'
export default {
  layout: 'blog',
  data() {
    return {
      account: {
        email: '',
        password: '',
      },
    }
  },
  mounted() {
    console.log('Login Page')
  },
  methods: {
    login() {
      this.$store
        .dispatch('login', this.account, { root: true })
        .then(() => {
          this.$router.push('/profile')
        })
        .catch((error) => {
          setTimeout(() => {
            console.log('Error :', error.code)
          }, 2000)
        })
    },
    async forgetPassword(){
      await auth.sendPasswordResetEmail(this.account.email).then((userCredential) => {
        Swal.fire('รหัสผ่านใหม่ได้ส่งไปยัง E-mail ของคุณ กรุณาเช็ค E-mail')
      }).catch((error) => {
          let errorCode = error.code
          let errorMessage = error.message
          if(errorCode == 'auth/invalid-email'){
            Swal.fire({
                        icon: 'error',
                        title: 'เสียใจด้วย...',
                        text: 'E-mail ของคุณผิด',
                      })
          }else if(errorCode == 'auth/user-not-found'){
              Swal.fire({
              icon: 'error',
              title: 'เสียใจด้วย...',
              text: 'ไม่พบ E-mail ของคุณ',
            })
          }
      })

    }
  },
}
</script>
